/*
 * Utility functions
 *
 * Copyright (C) 2000-2005, Olaf Kirch <okir@suse.de>
 *
 * License: GPL 2.0 or later. See COPYING.GPL for details.
 */

#ifndef UTILS_H
#define UTILS_H

extern unsigned int	getnum(const char *, const char *,
				unsigned int, unsigned int);
extern int		getaddr(const char *, int, struct sockaddr_storage *);
extern const char *	straddr(struct sockaddr_storage *);
extern int		sameaddr(struct sockaddr_storage *, struct sockaddr_storage *);
extern void		printaddr(struct sockaddr_storage *, int) ;
extern void		fatal(const char *, ...);

#endif /* UTILS_H */
